<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Groups_V2 StructType
 * @subpackage Structs
 */
class Get_Groups_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GroupSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GroupSelectionV2
     */
    public $GroupSelection;
    /**
     * Constructor method for Get_Groups_V2
     * @uses Get_Groups_V2::setLogin()
     * @uses Get_Groups_V2::setGroupSelection()
     * @param \StructType\Login $login
     * @param \StructType\GroupSelectionV2 $groupSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GroupSelectionV2 $groupSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGroupSelection($groupSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Groups_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GroupSelection value
     * @return \StructType\GroupSelectionV2|null
     */
    public function getGroupSelection()
    {
        return $this->GroupSelection;
    }
    /**
     * Set GroupSelection value
     * @param \StructType\GroupSelectionV2 $groupSelection
     * @return \StructType\Get_Groups_V2
     */
    public function setGroupSelection(\StructType\GroupSelectionV2 $groupSelection = null)
    {
        $this->GroupSelection = $groupSelection;
        return $this;
    }
}
